Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.genericinsurability.core.v1
Class MedicalHouseType

    java.lang.Object
      be.fgov.ehealth.genericinsurability.core.v1.MedicalHouseType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-06-27T08:09:15+02:00",
               comments="JAXB RI v2.2.11")
    public class MedicalHouseType

extends Object
implements Serializable

Java class for MedicalHouseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MedicalHouseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="PeriodStart" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="PeriodEnd" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
           </sequence>
           <attribute name="Nurse" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="Medical" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="Kine" type="{http://www.w3.org/2001/XMLSchema}boolean" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`MedicalHouseType()`

Method Summary
`org.joda.time.DateTime` | `getPeriodEnd()` Gets the value of the periodEnd property.
`org.joda.time.DateTime` | `getPeriodStart()` Gets the value of the periodStart property.
`Boolean` | `isKine()` Gets the value of the kine property.
`Boolean` | `isMedical()` Gets the value of the medical property.
`Boolean` | `isNurse()` Gets the value of the nurse property.
`void` | `setKine(Boolean value)` Sets the value of the kine property.
`void` | `setMedical(Boolean value)` Sets the value of the medical property.
`void` | `setNurse(Boolean value)` Sets the value of the nurse property.
`void` | `setPeriodEnd(org.joda.time.DateTime value)` Sets the value of the periodEnd property.
`void` | `setPeriodStart(org.joda.time.DateTime value)` Sets the value of the periodStart property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MedicalHouseType

    public MedicalHouseType()

Method Detail

### getPeriodStart

    public org.joda.time.DateTime getPeriodStart()

  Gets the value of the periodStart property.

  Returns:
    possible object is `String`

### setPeriodStart

    public void setPeriodStart(org.joda.time.DateTime value)

  Sets the value of the periodStart property.

  Parameters:
    `value` - allowed object is `String`

### getPeriodEnd

    public org.joda.time.DateTime getPeriodEnd()

  Gets the value of the periodEnd property.

  Returns:
    possible object is `String`

### setPeriodEnd

    public void setPeriodEnd(org.joda.time.DateTime value)

  Sets the value of the periodEnd property.

  Parameters:
    `value` - allowed object is `String`

### isNurse

    public Boolean isNurse()

  Gets the value of the nurse property.

  Returns:
    possible object is `Boolean`

### setNurse

    public void setNurse(Boolean value)

  Sets the value of the nurse property.

  Parameters:
    `value` - allowed object is `Boolean`

### isMedical

    public Boolean isMedical()

  Gets the value of the medical property.

  Returns:
    possible object is `Boolean`

### setMedical

    public void setMedical(Boolean value)

  Sets the value of the medical property.

  Parameters:
    `value` - allowed object is `Boolean`

### isKine

    public Boolean isKine()

  Gets the value of the kine property.

  Returns:
    possible object is `Boolean`

### setKine

    public void setKine(Boolean value)

  Sets the value of the kine property.

  Parameters:
    `value` - allowed object is `Boolean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.